#ifndef PLAYERVSPLAYERINTRO_H
#define PLAYERVSPLAYERINTRO_H

#include "gui/scene.h"
#include "gui/buttoneventlistener.h"

#include <QWidget>

namespace Ui {
class PlayerVsPlayerIntro;
}

class PlayerVsPlayerIntro : public Scene
{
    Q_OBJECT

public:
    explicit PlayerVsPlayerIntro(QWidget *parent = 0);
    virtual void init() override;
    ~PlayerVsPlayerIntro();

private slots:
    void on_back_button_clicked();

    void on_continue_button_clicked();

private:
    QMovie *movie;
    Ui::PlayerVsPlayerIntro *ui;
    ButtonEventListener *watcher;
};

#endif // PLAYERVSPLAYERINTRO_H
